Thread: questions about psp 3004 v5.03

Results 1 to 2 of 2
  1. #1 questions about psp 3004 v5.03 
    Junior Member
    Join Date
    Jul 2012
    Posts
    1
    i have a psp slim 3004 with v5.03
    i use chicken r2 and cfw enabler 3.60
    so i get 5.03 mhu
    but i cant seem to get to play new games like prince of persia the forgotten sands etc
    does any1 how to update to a good version and new cfw enabler compatible with that version
    please give a link or step by step intsrtuction or anything..!!!
    thanx u..!!
    srry for being a noob!!!
    really appreciate the help!!
    Reply With Quote  
     

  2. #2  
    Spambuster Bitch PSP Elite Hacker dankgame's Avatar
    Join Date
    Feb 2009
    Posts
    4,402
    update your psp to 6.60 ofw then get either 6.60 LME or 6.60 PRO B
    new members and old read thisvvvvvvvv
    http://www.pspmod.com/forums/introdu...uncements.html
    Reply With Quote  
     

Similar Threads

  1. PSP-3004 v6.60 need help!
    By reap3r in forum PSP Software, Firmware & Plugins
    Replies: 17
    Last Post: 11-29-2012, 10:35 PM
  2. psp-3004
    By nithinsatya in forum PSP Discussion
    Replies: 4
    Last Post: 01-14-2012, 02:59 AM
  3. psp 3004
    By kogi in forum PSP Software, Firmware & Plugins
    Replies: 1
    Last Post: 11-22-2010, 06:53 PM
  4. hi im new here i got psp 3004 ver 5.01
    By ahmedshaikh in forum PSP Discussion
    Replies: 7
    Last Post: 06-14-2010, 02:06 PM
  5. can i mod my psp 3004
    By gmanendra in forum PSP Hardware & Repair
    Replies: 6
    Last Post: 07-18-2009, 06:35 PM
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •